import { type CompletionFunc } from '@pnpm/command';
import { type Config } from '@pnpm/config';
import { type CreateStoreControllerOptions } from '@pnpm/store-connection-manager';
export declare function rcOptionsTypes(): Record<string, unknown>;
export declare const cliOptionsTypes: () => Record<string, unknown>;
export declare function help(): string;
export declare const commandNames: string[];
export declare const completion: CompletionFunc;
export declare function handler(opts: CreateStoreControllerOptions & Pick<Config, 'allProjects' | 'allProjectsGraph' | 'bail' | 'bin' | 'configDependencies' | 'dev' | 'engineStrict' | 'globalPnpmfile' | 'hooks' | 'ignorePnpmfile' | 'linkWorkspacePackages' | 'lockfileDir' | 'optional' | 'pnpmfile' | 'production' | 'rawLocalConfig' | 'registries' | 'rootProjectManifest' | 'rootProjectManifestDir' | 'saveDev' | 'saveOptional' | 'saveProd' | 'selectedProjectsGraph' | 'workspaceDir' | 'workspacePackagePatterns' | 'sharedWorkspaceLockfile'> & {
    recursive?: boolean;
}, params: string[]): Promise<void>;
